# Yahoo! UI Library

### Menu Library

Yahoo! UI Library > menu > YAHOO.widget.MenuModuleItem

## Class YAHOO.widget.MenuModuleItem

Deprecated:As of version 0.12, all MenuModuleItem functionality has been implemented directly in YAHOO.widget.MenuItem, making YAHOO.widget.MenuItem the base class for all menu items.
Creates an item for a menu module.

### Constructor

YAHOO.widget.MenuModuleItem `( p_oObject , p_oConfig )`

Parameters:
  `p_oObject <String>` String specifying the text of the menu module item.
  `p_oObject <HTMLLIElement>` Object specifying the `<li>` element of the menu module item.
  `p_oObject <HTMLOptGroupElement>` Object specifying the `<optgroup>` element of the menu module item.
  `p_oObject <HTMLOptionElement>` Object specifying the `<option>` element of the menu module item.
  `p_oConfig <Object>` Optional. Object literal specifying the configuration for the menu module item. See configuration class documentation for more details.

Copyright © 2006 Yahoo! Inc. All rights reserved.